madplay (0.15.2b-10.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace CDBS build with short DH sequencer (Closes: #1114981)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Nov 2025 11:41:15 +0100

madplay (0.15.2b-10.1) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1007319)
  * d/copyright: Convert to machine-readable format

 -- Bastian Germann <bage@debian.org>  Sun, 09 Jun 2024 17:18:16 +0000

madplay (0.15.2b-10) unstable; urgency=medium

  * Switch to debhelper compat level 10 (Closes: #965712)
  * make clean remove autogenerated files during build

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 24 Dec 2021 15:55:23 +0100

madplay (0.15.2b-9) unstable; urgency=medium

  * Remove Sam Clegg from uploaders
  * Add upstream signing key
  * Update watch file to find the signature file


 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 10 Mar 2019 16:51:27 +0100

madplay (0.15.2b-8.3) unstable; urgency=medium

  * Non-maintainer upload
  * Set maintainer field to madplay@packages.debian.org to have a valid
    address (Closes: #899606)

 -- Paul Gevers <elbrus@debian.org>  Fri, 03 Aug 2018 20:42:59 +0200

madplay (0.15.2b-8.2) unstable; urgency=medium

  * Non-maintainer upload (Closes: #885724)
  * Drop build-dep on libesd0-dev as it was optional anyways and is now
    deprecated (Closes: #856085)
  * Replace build depends on automake1.11 with automake (Closes: #865188)
    Thanks to Eric Dorland for the initial patch.
  * Drop Clément Stenac from uploaders list (Closes: #868709)
  * Add Homepage field to d/control

 -- Paul Gevers <elbrus@debian.org>  Sat, 30 Dec 2017 07:58:33 +0100

madplay (0.15.2b-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS by --add-missing to automake call (Closes: #818528)

 -- Paul Gevers <elbrus@debian.org>  Fri, 22 Apr 2016 21:58:24 +0200

madplay (0.15.2b-8) unstable; urgency=high

  * Fix buffer overflow in the alsa output code (Closes: #619341)
    Thanks to Ben Winslow <rain@bluecherry.net>
  * Only build with alsa on linux (Closes: #625649)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 07 Apr 2012 17:03:39 +0200

madplay (0.15.2b-7) unstable; urgency=low

  * Switch to automake1.11 (Closes: #541531)

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 14 Aug 2009 20:00:10 +0200

madplay (0.15.2b-6) unstable; urgency=low

  * libtoolize no longer updates config.guess/sub, and cdbs's handling
    got fixes a long time ago.  Just let cdbs do it now.  (Closes: #533968)
  * Call automake with the --foreign option, so that we don't need
    to create empty files that would be needed with --gnu.
  * Enable ALSA support. (Closes: #494865)
  * Configure options weren't working because:
    - You need to tell it to cdbs after the includes
    - :+= was being used to set the options.
  * Add patch to handle some LAME tags.  (Closes: #494866)
  * Remove config.h.in in clean target.
  * New libtool creates new files in diff, remove the in clean target.
  * Set compat level to 5.  cdbs autogenerates this, but it wasn't
    under cvs control.

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 21 Jun 2009 19:59:04 +0200

madplay (0.15.2b-5) unstable; urgency=low

  * Switch from automake1.8 to automake1.10. (Closes: #473335)
  * Don't tell libtool to disable shared libraries.  This results
    in not linking to libaudiofile and libz.
  * Update Clément Stenac email address to zorglub@debian.org

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 30 Mar 2008 15:11:48 +0200

madplay (0.15.2b-4) unstable; urgency=low

  * Sam Clegg:
    * debian/control: set new Maintainer: and Uploaders:
        pkg-mad-maintainers@list.alioth.debian.org (Closes: #300095)
    * debian/rules: convert to cdbs
    * debian/control: depend to cdbs
    * debian/madplay.files: replaced with madplay.install
      (cdbs install target disabled.. but we could just let this
      handle installing the files rather than use debhelper)
  * Kurt Roeckx:
    * Added autotools-dev, libtool, autoconf, automake1.8 build dependency
      and regenerate all those files on build.
    * Add -Werror to CFLAGS
    * Corrected the copyright file.
    * Fixed typo in the description of the package (Closes: #300052)
    * Convert an ucs4 string to a wchar_t string first.  id3_ucs4_t is 
      of type unsigned long while wchar_t of type int. (Closes: #295424)
    * Install CREDITS files.
    * Add a watch file.

 -- Sam Clegg <samo@debian.org>  Mon, 28 Mar 2005 22:14:59 +0100

madplay (0.15.2b-3.1) unstable; urgency=low

  * Orphaning this package, setting maintainer to QA.

 -- Kyle McMartin <kyle@debian.org>  Thu, 17 Mar 2005 10:59:11 -0500

madplay (0.15.2b-3) unstable; urgency=low

  * Applied fixed patch from Tobias Diedrich, this fixes
    a memory leak his previous patch caused. (closes: #276928)

 -- Kyle McMartin <kyle@debian.org>  Tue, 19 Oct 2004 23:01:42 -0400

madplay (0.15.2b-2) unstable; urgency=low

  * Applied patch from Tobias Diedrich which fixes the display
    of id3tags on non-iso8859-1 locales (ie: UTF-8). (closes: #276928).

 -- Kyle McMartin <kyle@debian.org>  Sun, 17 Oct 2004 11:58:19 -0400

madplay (0.15.2b-1) unstable; urgency=low

  * New upstream version.

 -- Kyle McMartin <kyle@debian.org>  Sat, 5 Jun 2004 19:23:28 -0400

madplay (0.15.0b-3) unstable; urgency=low

  * Add versioned dependency on libmad0(-dev) to fix FTBFS caused
    by missing symbols. (closes: #200943)

 -- Kyle McMartin <kyle@debian.org>  Sat, 12 Jul 2003 11:00:57 -0400

madplay (0.15.0b-2) unstable; urgency=low

  * Add versioned dependency on libid3tag0, as libid3tag0 < 0.15 did
    not link against zlib. (closes: #199289)

 -- Kyle McMartin <kyle@debian.org>  Sun, 29 Jun 2003 18:17:12 -0400

madplay (0.15.0b-1) unstable; urgency=low

  * New upstream version(s).
  * Split package into each library, as upstream has done.

 -- Kyle McMartin <kyle@debian.org>  Sat, 21 Jun 2003 14:21:42 -0400

mad (0.14.2b-7) unstable; urgency=low

  * Clean up some lintian warnings.
  * Fixed id3tag.pc, accidently had -L instead of -I.

 -- Kyle McMartin <kyle@debian.org>  Tue, 28 Jan 2003 09:45:02 -0500

mad (0.14.2b-6) unstable; urgency=medium

  * Updated config.* (closes: #168663)

 -- Kyle McMartin <kyle@debian.org>  Thu, 14 Nov 2002 18:41:29 -0500

mad (0.14.2b-5) unstable; urgency=medium

  * Added build-dep on libesd0-dev, this should fix some
    problems people have been having when using esd as the
    output device... (closes: #150823)

 -- Kyle McMartin <kyle@debian.org>  Wed, 06 Nov 2002 18:20:18 -0500

mad (0.14.2b-4) unstable; urgency=low

  * added pkgconfig entry, and dependancy on pkg-config. (closes: #144481)

 -- Kyle McMartin <kyle@debian.org>  Mon, 05 Aug 2002 14:37:00 -0400

mad (0.14.2b-3) unstable; urgency=high

  * updated libid3tag0-dev depends to account for zlib1g-dev (closes: #142611)

 -- Kyle McMartin <kyle@debian.org>  Thu, 18 Apr 2002 19:37:00 -0500

mad (0.14.2b-2) unstable; urgency=high

  * fix for the shlibs rc bug (closes: #136196)

 -- Kyle McMartin <kyle@debian.org>  Thu, 28 Feb 2002 18:21:40 -0500

mad (0.14.2b-1) unstable; urgency=low

  * new upstream version
  * new maintainer
  * new version fixes enum (closes: #129178)
  * closing old fixed bug [missing symlink to libmad.so.0] (closes: #119350)

 -- Kyle McMartin <kyle@debian.org>  Wed, 16 Jan 2002 22:09:58 -0500

mad (0.14.1b-4) unstable; urgency=low

  * yet another stupid maintainer mistakes release
  * fix the call to dh_makeshlibs, I neglected to add proper
    arguments for the new libid3tag0 library (closes: #119146)
  * now that the shlibs are sorted out, madplay will have the correct depends
    (closes: #119792)

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Thu, 15 Nov 2001 22:11:24 -0800

mad (0.14.1b-3) unstable; urgency=medium

  * duh, id3tag's headers ended up in libmad-dev.  Closes: #118625.

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Wed,  7 Nov 2001 13:45:53 -0800

mad (0.14.1b-2) unstable; urgency=medium

  * Added versioned depends info for piecemeal updaters.  (Closes: #117646)

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Wed,  7 Nov 2001 08:10:42 -0800

mad (0.14.1b-1) unstable; urgency=low

  * reverted package name to libmad0(-dev).  The upstream fixed it's SONAME
    issues, yay.
  * added libid3tag(-dev), the upstream now supports the installation of this
    as a separate entity (closes: #116321)
  * -dev packages are now in Section: devel (closes: #116710)
  * supports DEB_BUILD_OPTIONS for debug (closes: #104013)

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Tue, 23 Oct 2001 11:08:53 -0700

mad (0.14.0b-3) unstable; urgency=low

  * added a conflicts on libmad0 to the lib and -dev packages, closes: #116581
  * updated config.{sub,guess}, closes: #116577

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Sun, 21 Oct 2001 16:26:39 -0700

mad (0.14.0b-2) unstable; urgency=low

  * D'oh, not binary compatible.  The every changing SONAME problem.
  * chnaged library package name to match SONAME.  This is horrible because
    now I have to change the package name for every release.  However there
    is no alternative.  closes: 116305.

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Fri, 19 Oct 2001 14:30:29 -0700

mad (0.14.0b-1) unstable; urgency=low

  * New upstream release
  * source now build-depends on zlib

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Thu, 18 Oct 2001 21:59:28 -0700

mad (0.13.0b-2.1) unstable; urgency=low
  * Run libtoolize to get support for new architectures.  Closes: #96616

 -- LaMont Jones <lamont@debian.org>  Mon,  9 Jul 2001 21:39:34 -0600

mad (0.13.0b-2) unstable; urgency=low

  * Now build-depend on gettext (closes: #94964)

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Mon, 23 Apr 2001 11:29:21 -0700

mad (0.13.0b-1) unstable; urgency=low

  * new upstream release
  * manpage cleaned up, Closes: #87165

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Wed, 11 Apr 2001 18:40:08 -0700

mad (0.12.5b-1) unstable; urgency=low

  * New upstream, closes: #92825
  * updated upstream changelog

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Tue,  3 Apr 2001 15:11:05 -0700

mad (0.12.4b-1) unstable; urgency=low

  * New upstream version

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Mon, 12 Feb 2001 14:16:21 -0800

mad (0.12.3b-2) unstable; urgency=low

  * Oops, wrong section
  * left off the Closes: #84103

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Thu,  8 Feb 2001 12:17:12 -0800

mad (0.12.3b-1) unstable; urgency=low

  * New upstream version
  * added a madplay package

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Wed,  7 Feb 2001 12:04:28 -0800

mad (0.11.4b-1) unstable; urgency=low

  * New upstream release
  * added libmad0 package containing the shared library

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Mon,  2 Oct 2000 17:38:01 -0700

mad (0.11.0b-0) unstable; urgency=low

  * New upstream release

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Mon,  5 Jun 2000 14:25:39 -0700

mad (0.10.3b-0) unstable; urgency=low

  * New upstream release

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Thu,  1 Jun 2000 15:05:02 -0700

mad (0.10.2b-0) unstable; urgency=low

  * Initial Release.

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Tue, 23 May 2000 12:25:00 -0700


